Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1582)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1583)
@@ -830,31 +830,33 @@
 									&& !MessageDialog.openQuestion(getShell(), TXMCoreMessages.common_warning, TXMCoreMessages.bind(TXMUIMessages.warning_popup_theP0HasBeenEditedItsChangesWillBeLost, TXMEditor.this.getResult().getResulType()))) {
 										setCanceled(true);
 								}
-								else	{
+								// popup alert to inform user that children results will be recomputed
+								if(!TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPERT_USER)
+										&& TXMEditor.this.getResult().hasVisibleChild() && !MessageDialog.openQuestion(getShell(), TXMCoreMessages.common_warning, TXMUIMessages.warning_popup_allDescendantResultsWillBeUpdated))	{
+									setCanceled(true);
+								}
+								
 
-									// FIXME: SJ: this code doesn't work well, commented because a rendering parameter change in CA display the popup because of the Eigenvalues children
-									// FIXME: SJ: to fix that, temporarily or not, I had finally this test on the visibility state of the children. Actually this test may be useful for any result type
-									// popup alert to inform user that children results will be recomputed
-									if(!TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPERT_USER)
-											&& TXMEditor.this.getResult().hasVisibleChild() && !MessageDialog.openQuestion(getShell(), TXMCoreMessages.common_warning, TXMUIMessages.warning_popup_allDescendantResultsWillBeUpdated))	{
-										setCanceled(true);
-									}
-									
+								
+								// subclasses manual result updating from editor fields
+								Log.finer("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": manually updating result from editor."); //$NON-NLS-1$
+								updateResultFromEditor();
 
-									
-									// subclasses manual result updating from editor fields
-									Log.finer("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": manually updating result from editor."); //$NON-NLS-1$
-									updateResultFromEditor();
+								// auto updating result from Parameter annotations in result <=> editor
+								Log.finer("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": auto updating result from editor."); //$NON-NLS-1$
+								autoUpdateResultFromEditorParameters();
+	
 
-									// auto updating result from Parameter annotations in result <=> editor
-									Log.finer("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": auto updating result from editor."); //$NON-NLS-1$
-									autoUpdateResultFromEditorParameters();
-		
-
-									
-									// FIXME: SJ: useless at this time?
-									// Stores the last parameters before the computing to later auto-update the Widgets only if some parameters have changed 
-									//setLastComputingParameters(TXMEditor.this.getResult().getLastParametersFromHistory());
+								
+								// FIXME: SJ: useless at this time?
+								// Stores the last parameters before the computing to later auto-update the Widgets only if some parameters have changed 
+								//setLastComputingParameters(TXMEditor.this.getResult().getLastParametersFromHistory());
+							}
+							else	 {
+								// popup alert to inform user that children results will be recomputed
+								if(!TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPERT_USER)
+										&& TXMEditor.this.getResult().hasVisibleChild() && !MessageDialog.openQuestion(getShell(), TXMCoreMessages.common_warning, TXMUIMessages.warning_popup_allDescendantResultsWillBeUpdated))	{
+									setCanceled(true);
 								}
 
 							}
@@ -1221,9 +1223,10 @@
 				else	{
 					try {
 						f.set(this, value);
-					} catch(Exception e) {
-						Log.fine(NLS.bind("Warning: can't assignate value={0} to editor member={1}.", value, f));
 					}
+					catch(Exception e) {
+						Log.fine(TXMCoreMessages.bind("Warning: can't assignate new value={0} to editor member={1} which have current value={2}.", value, f, object));
+					}
 				}
 
 				// FIXME: debug
@@ -1346,7 +1349,7 @@
 			}
 			catch (IllegalArgumentException e) {
 				// TODO Auto-generated catch block
-				System.err.println("TXMEditor.autoUpdateResultFromEditorParameters(): Error with field " + parameter.key()); //$NON-NLS-1$
+				Log.severe("TXMEditor.autoUpdateResultFromEditorParameters(): Error with field " + parameter.key()); //$NON-NLS-1$
 				e.printStackTrace();
 			}
 			catch (IllegalAccessException e) {
